﻿using Microsoft.AspNetCore.Components;

namespace Connected.Components;
public partial class RadioGroup
{
	#region Parameters

	/// <summary>
	/// Radio group name. Mandatory! Used for proper radio button grouping
	/// Options: any string will do
	/// Default: 'radiogroup'
	/// </summary>
	[Parameter, EditorRequired]
	public string? Name { get; set; } = "radiogroup";


	/// <summary>
	/// Used for globaly disabling radio button group and all the radios within
	/// Options: true or false
	/// Default: false
	/// </summary>
	[Parameter]
	public bool Disabled { get; set; } = false;


	/// <summary>
	/// All the radiobuttons and other components inside radio group
	/// </summary>
	[Parameter]
	public RenderFragment? ChildContent { get; set; }

	#endregion

}